#include<iostream>
using namespace std;
int main(){
    int n,i,a=2;
    cin>>n;
    n--;
    for(i=1;i<n;a++){
        i=a*i;
        cout<<a<<" "<<i<<endl;
    }
    i/=(a-1);
    cout<<(n/i)*i+1;
    return 0;
}
